<?php

namespace App\Libs\Pay;

use App\Libs\Pay\Merchants\Swiftpass;

class WechatPay 
{
	private static $_instance;

	static function instance($merchant)
	{
		if(!self::$_instance)
		{
			switch ($merchant) {
				case 'Swiftpass':
					self::$_instance = new Swiftpass();
					break;

			}
			
		}
		return self::$_instance;
	}

}